net.snowflake.client.core

## Class SFResultSet

- java.lang.Object
- - net.snowflake.client.core.SFBaseResultSet
  - - net.snowflake.client.core.SFResultSet

    public class SFResultSet
    extends SFBaseResultSet

Snowflake ResultSet implementation

Author:
  jhuang

### Field Summary

Fields
`protected SFStatement` `statement`

### Fields inherited from class net.snowflake.client.core.SFBaseResultSet

`binaryFormatter, dateFormatter, honorClientTZForTimestampNTZ, isClosed, numberOfBinds, parameters, resultSetMetaData, resultVersion, row, session, timeFormatter, timestampLTZFormatter, timestampNTZFormatter, timestampTZFormatter, timeZone, wasNull`

### Constructor Summary

Constructors
Constructor and Description
`SFResultSet(com.fasterxml.jackson.databind.JsonNode result, SFStatement statement, boolean sortResult)` Constructor takes a result from the API response that we get from executing a SQL statement.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`protected Object` `getObjectInternal(int columnIndex)`
`String` `getQueryId()`
`SFStatementType` `getStatementType()`
`boolean` `isAfterLast()`
`boolean` `isArrayBindSupported()`
`boolean` `isLast()`
`boolean` `next()` Advance to next row

### Methods inherited from class net.snowflake.client.core.SFBaseResultSet

`absolute, getBigDecimal, getBigDecimal, getBoolean, getBytes, getDate, getDate, getDouble, getFloat, getInt, getLong, getMetaData, getNumberOfBinds, getObject, getRow, getShort, getString, getTime, getTimestamp, isBeforeFirst, isClosed, isFirst, previous, relative, setSession, wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### statement

    protected SFStatement statement

### Constructor Detail

#### SFResultSet

    public SFResultSet(com.fasterxml.jackson.databind.JsonNode result,
                       SFStatement statement,
                       boolean sortResult)
                throws SQLException,
                       SFException

Constructor takes a result from the API response that we get from executing a SQL statement. The constructor will initialize the ResultSetMetaData.

Parameters:
  `result` - result data in JSON form
  `statement` - statement object
  `sortResult` - true if sort results otherwise false
Throws:
  `SQLException` - exception raised from general SQL layers
  `SFException` - exception raised from Snowflake components

### Method Detail

#### next

    public boolean next()
                 throws SFException,
                        SnowflakeSQLException

Advance to next row

Overrides:
  `next` in class `SFBaseResultSet`
Returns:
  true if next row exists, false otherwise
Throws:
  `SFException`
  `SnowflakeSQLException`

#### getObjectInternal

    protected Object getObjectInternal(int columnIndex)
                                throws SFException

Specified by:
  `getObjectInternal` in class `SFBaseResultSet`
Throws:
  `SFException`

#### isLast

    public boolean isLast()

Specified by:
  `isLast` in class `SFBaseResultSet`

#### isAfterLast

    public boolean isAfterLast()

Specified by:
  `isAfterLast` in class `SFBaseResultSet`

#### close

    public void close()

Overrides:
  `close` in class `SFBaseResultSet`

#### getStatementType

    public SFStatementType getStatementType()

Specified by:
  `getStatementType` in class `SFBaseResultSet`

#### isArrayBindSupported

    public boolean isArrayBindSupported()

Overrides:
  `isArrayBindSupported` in class `SFBaseResultSet`

#### getQueryId

    public String getQueryId()

Specified by:
  `getQueryId` in class `SFBaseResultSet`